### Signal

# Jsonrpc Client::failed

since: 3.28

#### Declaration

    void
    failed (
      JsonrpcClient* self,
      gpointer user_data
    )

#### Description [src]

The “failed” signal is called when the client has failed communication or the connection has been knowingly closed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.28